Subject: Re: linux-next: build failure after merge of the tty tree

From: Alan Cox <[email-masked]>
Date: Fri, 13 Jul 2012 12:10:53 +0100

On Fri, 13 Jul 2012 14:13:45 +1000
Stephen Rothwell <[email-masked]> wrote:

> Hi Greg,
> 
> After merging the tty tree, today's linux-next build (x86_64 allmodconfig)
> failed like this:
> 
> drivers/char/mwave/mwavedd.c: In function 'register_serial_portandirq':
> drivers/char/mwave/mwavedd.c:472:2: error: implicit declaration of function 'serial8250_register_port' [-Werror=implicit-function-declaration]
> cc1: some warnings being treated as errors
> drivers/misc/ibmasm/uart.c: In function 'ibmasm_register_uart':
> drivers/misc/ibmasm/uart.c:57:2: error: implicit declaration of function 'serial8250_register_port' [-Werror=implicit-function-declaration]
> cc1: some warnings being treated as errors
> 
> Caused by commit 2655a2c76f80 ("8250: use the 8250 register interface not
> the legacy one").  Grep is your friend.

My fault on that one not GregKH's. I'll wrap that into the updated patch
series. I thought I had them all but I forgot to grep off in drivers/misc.

Alan